Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 613650 - typo/grammar in output from subscription-manager-cli --help commands
typo/grammar in output from subscription-manager-cli --help commands
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Pradeep Kilambi
wes hayutin
: Reopened
Depends On:
Blocks: 568421
  Show dependency treegraph
 
Reported: 2010-07-12 09:59 EDT by John Sefler
Modified: 2011-05-19 09:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:37:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 13:56:21 EDT

  None (edit)
Description John Sefler 2010-07-12 09:59:47 EDT
Description of problem:
typo/grammar fixes needed in output from subscription-manager-cli --help commands


Version-Release number of selected component (if applicable):
[root@jsefler-rhel6-clientpin tmp]# rpm -q subscription-manager
subscription-manager-0.68-1.el6.i686


How reproducible:


Steps to Reproduce:
[root@jsefler-rhel6-clientpin tmp]# subscription-manager-cli register -h | grep type
  --type=CONSUMERTYPE   The type of consumer to create. Defaults to sytem

Expected results:
"sytem" should be "system"

Additional info:
What other "types" are there?
Comment 1 John Sefler 2010-07-12 10:14:48 EDT
[root@jsefler-rhel6-clientpin tmp]# subscription-manager-cli subscribe -h | grep actication
  --email=EMAIL        Optional email address to notify when token actication
                       token actication is complete. Used with --regtoken and

Expected results:
"actication" should probably be "activation"
Comment 2 John Sefler 2010-07-12 11:38:53 EDT
[root@jsefler-rhel6-clientpin tmp]#  echo -e "null\nfacts\nlist\nregister\nsubscribe\nunregister\nunsubscribe" | xargs -i[] subscription-manager-cli [] -h | grep Usage
Usage: subscription-manager-cli [options] MODULENAME --help
Usage: subscription-manager-cli facts [options]
Usage: subscription-manager-cli list [OPTIONS]
Usage: subscription-manager-cli register [OPTIONS]
Usage: subscription-manager-cli subscribe [OPTIONS]
Usage: subscription-manager-cli unregister [OPTIONS]
Usage: subscription-manager-cli unsubscribe [OPTIONS]


Be consistent with the capitalization of the word [options].
Comment 3 John Sefler 2010-07-12 15:15:08 EDT
[root@jsefler-rhel6-clientpin tmp]# subscription-manager-cli register --username= --password=
Error: username and password are required to register,try --help.


Put a space between "register,try" to "register, try"
Comment 4 John Sefler 2010-07-13 15:11:21 EDT
# subscription-manager-cli subscribe
Error: Need either --product or --regtoken, Try --help

> Shouldn't this error message include --pool?

Error: must subscribe with a --pool, --product, or --regtoken option.  Try subscribe --help.


> To be consistent, the message referenced in comment 3 should probably be:

Error: must register with --username and --password options.  Try register --help.
Comment 5 Bryan Kearney 2010-07-21 20:20:11 EDT
Resolved in 92df6cbff6f9c5218eaf526850a85b4dd0d66671.
Comment 6 John Sefler 2010-07-28 11:02:47 EDT
# ./subscription-manager-cli register --help | grep  -- --name
  --name=CONSUMERNAME   name of the consuemr to create. Defaults to the

                                    ^^^^^^^^
                                    consumer


[root@jsefler-rhel6-clientpin src]# ./subscription-manager-cli register --help | grep create
  --type=CONSUMERTYPE   the type of consumer to create. Defaults to system
  --name=CONSUMERNAME   name of the consuemr to create. Defaults to the

                                                ^^^^^^ create?
                                                shouldn't this be "register"
Comment 7 Bryan Kearney 2010-09-10 13:07:06 EDT
consuemr was no longer in code. Changed create to register. 50040accc414e466bfcabd9366412ae737ba3d1a
Comment 8 John Sefler 2010-09-10 14:13:05 EDT
VERSION:
[root@jsefler-rhel6-client01 ~]# rpm -q subscription-manager
subscription-manager-0.77-1.git.4.cc545da.fc12.i386



[root@jsefler-rhel6-client01 ~]# subscription-manager-cli register -h 
Usage: subscription-manager-cli register [OPTIONS]

register

Options:
  -h, --help            show this help message and exit
  --debug=DEBUG         debug level
  --username=USERNAME   specify a username
  --type=CONSUMERTYPE   the type of consumer to register. Defaults to system
  --name=CONSUMERNAME   name of the consumer to register. Defaults to the
                        username.
  --password=PASSWORD   specify a password
  --consumerid=CONSUMERID
                        register to an existing consumer
  --autosubscribe       automatically subscribe this system to
                        compatible subscriptions.
  --force               register the system even if it is already registered

[root@jsefler-rhel6-client01 ~]# subscription-manager-cli subscribe
Error: Need either --pool or --regtoken, Try subscribe --help

[root@jsefler-rhel6-client01 ~]# subscription-manager-cli subscribe --help
Usage: subscription-manager-cli subscribe [OPTIONS]

subscribe

Options:
  -h, --help           show this help message and exit
  --debug=DEBUG        debug level
  --regtoken=REGTOKEN  regtoken
  --pool=POOL          subscription pool id
  --email=EMAIL        optional email address to notify when token activation
                       is complete. Used with --regtoken only
  --locale=LOCALE      optional language to use for email notification when
                       token activation is complete. Used with --regtoken and
                       --email only. Examples: en-us, de-de


[root@jsefler-rhel6-client01 ~]# echo -e "null\nfacts\nlist\nregister\nsubscribe\nunregister\nunsubscribe" | xargs -i[] subscription-manager-cli [] -h | grep Usage
Usage: subscription-manager-cli [options] MODULENAME --help
Usage: subscription-manager-cli facts [OPTIONS]
Usage: subscription-manager-cli list [OPTIONS]
Usage: subscription-manager-cli register [OPTIONS]
Usage: subscription-manager-cli subscribe [OPTIONS]
Usage: subscription-manager-cli unregister [OPTIONS]
Usage: subscription-manager-cli unsubscribe [OPTIONS]

[root@jsefler-rhel6-client01 ~]# subscription-manager-cli register
Error: username and password are required to register, try register --help.

[root@jsefler-rhel6-client01 ~]# subscription-manager-cli subscribe
Error: Need either --pool or --regtoken, Try subscribe --help


moving to VERIFIED
Comment 9 Corey Welton 2010-09-13 16:45:53 EDT
Hmm, this somehow got changed from an RHQ bug to something else.  reclassifying as verified, removing all jon/rhq info.
Comment 10 errata-xmlrpc 2011-05-19 09:37:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html

Note You need to log in before you can comment on or make changes to this bug.